summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-04-11 06:58:39 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-04-11 06:58:39 +0000
commit5d32ec2c14acd2f28433d5a5b2a147814c889e69 (patch)
treee729ed710689ffe0c9bdfe7f533d7ed48d34fd1f /dev-python
parentb88c79c2030696cd329a70d2360dd21a64f87ca3 (diff)
downloadbaldeagleos-repo-5d32ec2c14acd2f28433d5a5b2a147814c889e69.tar.gz
baldeagleos-repo-5d32ec2c14acd2f28433d5a5b2a147814c889e69.tar.xz
baldeagleos-repo-5d32ec2c14acd2f28433d5a5b2a147814c889e69.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.37.32.ebuild53
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.37.32.ebuild67
-rw-r--r--dev-python/django-celery-results/Manifest4
-rw-r--r--dev-python/django-celery-results/django-celery-results-2.6.0.ebuild (renamed from dev-python/django-celery-results/django-celery-results-2.5.1.ebuild)29
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.131.0.ebuild110
-rw-r--r--dev-python/ipywidgets/Manifest1
-rw-r--r--dev-python/ipywidgets/ipywidgets-8.1.6.ebuild57
-rw-r--r--dev-python/jupyterlab-widgets/Manifest1
-rw-r--r--dev-python/jupyterlab-widgets/jupyterlab-widgets-3.0.14.ebuild24
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch13
-rw-r--r--dev-python/langdetect/langdetect-1.0.9.ebuild4
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/mako/Manifest1
-rw-r--r--dev-python/mako/mako-1.3.10.ebuild54
-rw-r--r--dev-python/multidict/Manifest1
-rw-r--r--dev-python/multidict/multidict-6.4.3.ebuild64
-rw-r--r--dev-python/openstacksdk/Manifest1
-rw-r--r--dev-python/openstacksdk/openstacksdk-4.5.0.ebuild92
-rw-r--r--dev-python/opentelemetry-api/Manifest1
-rw-r--r--dev-python/opentelemetry-api/opentelemetry-api-1.32.0.ebuild61
-rw-r--r--dev-python/opentelemetry-sdk/Manifest1
-rw-r--r--dev-python/opentelemetry-sdk/opentelemetry-sdk-1.32.0.ebuild62
-rw-r--r--dev-python/opentelemetry-semantic-conventions/Manifest1
-rw-r--r--dev-python/opentelemetry-semantic-conventions/opentelemetry-semantic-conventions-1.32.0.ebuild52
-rw-r--r--dev-python/osc-lib/Manifest2
-rw-r--r--dev-python/osc-lib/osc-lib-4.0.0.ebuild (renamed from dev-python/osc-lib/osc-lib-3.1.0.ebuild)9
-rw-r--r--dev-python/pyqt6/Manifest2
-rw-r--r--dev-python/pyqt6/files/pyqt6-6.8.0-qt682.patch9
-rw-r--r--dev-python/pyqt6/pyqt6-6.9.0.ebuild (renamed from dev-python/pyqt6/pyqt6-6.8.0.ebuild)17
-rw-r--r--dev-python/pytest-httpserver/Manifest1
-rw-r--r--dev-python/pytest-httpserver/pytest-httpserver-1.1.3.ebuild39
-rw-r--r--dev-python/python-axolotl/python-axolotl-0.2.3-r3.ebuild31
-rw-r--r--dev-python/python-axolotl/python-axolotl-0.2.3-r4.ebuild2
-rw-r--r--dev-python/python-ironicclient/Manifest1
-rw-r--r--dev-python/python-ironicclient/python-ironicclient-5.10.1.ebuild48
-rw-r--r--dev-python/python-markdown-math/Manifest1
-rw-r--r--dev-python/python-markdown-math/python-markdown-math-0.9.ebuild28
-rw-r--r--dev-python/python-openstackclient/Manifest1
-rw-r--r--dev-python/python-openstackclient/python-openstackclient-8.0.0.ebuild60
-rw-r--r--dev-python/python-tests/python-tests-3.13.3-r100.ebuild68
-rw-r--r--dev-python/sphinx-issues/Manifest1
-rw-r--r--dev-python/sphinx-issues/sphinx-issues-5.0.1.ebuild30
-rw-r--r--dev-python/typing-extensions/Manifest1
-rw-r--r--dev-python/typing-extensions/typing-extensions-4.13.2.ebuild33
-rw-r--r--dev-python/urllib3/Manifest1
-rw-r--r--dev-python/urllib3/urllib3-2.4.0.ebuild99
-rw-r--r--dev-python/widgetsnbextension/Manifest1
-rw-r--r--dev-python/widgetsnbextension/widgetsnbextension-4.0.14.ebuild30
52 files changed, 1193 insertions, 91 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 27210848c093..18831c3a5f44 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -4,3 +4,4 @@ DIST boto3-1.37.28.gh.tar.gz 922848 BLAKE2B 134a4054d1142de5f63198f6fd97eef3dc5f
DIST boto3-1.37.29.gh.tar.gz 923479 BLAKE2B ab940851062f611e3a3011e908c28c7cd3129020cec11272b85613b0c135af1a9df6e171b4a1c3ed4f0c4015512da8b00a3f8430bff38ba89c6030dcddd6adff SHA512 d2dbb36e0e375084a1022ae1dc8fb89601c625edd4f780ab01a1d137377752ea28f691a1e774077ad2585b0df119f4e29c9f74ea43c9e63ca4bebc95387f0b7b
DIST boto3-1.37.30.gh.tar.gz 924249 BLAKE2B 54fa0f7a3f2a926345aaaaf1bdf9610b4ea8b5745eb64adf10b863b00b587e91fb987d7047fe4b62d66815c907ab01198d364506c9c0b72ab097c53c3f4053af SHA512 d50188a48f0257f89a2884b3f4f5e2d6b06a9af692119e09b0846b9b3d53d40cf11a15045edf267d1faed3cf59a5cb5274f7e253451ce129b64562fd89bba0f6
DIST boto3-1.37.31.gh.tar.gz 925896 BLAKE2B 999eb64d1910092cad350e95cc6ffc3da971794c6acd4ed093142a64a6aa66a98de4a3bfa63810479948990dc9c3ff90c91f88df215897be62e492f2daeb47db SHA512 69471906f22b5fd760a9c6c96a508b06620ffb3fdeb0b4a7d5ea952f3e835dcfba6fa5ce697b9756a8202ceeb6ec52f5f4c74a2f3d1d43ab5ba4c2da5c76ebfb
+DIST boto3-1.37.32.gh.tar.gz 926774 BLAKE2B 28d3042fce2d5e3414a10d2238b692d876296fe5642b5367adfdf37a1eada5664bb75838c658b42b356648d60cc2a1bcb8b157a81a1d6d6d6537ff0b9dc8083b SHA512 06f7b1a4ec9ce150d4ad34738ea5e8517ba99fb14ddbe354de653e39814b03cf68833f69b1f2c5acf814461b7e3f660c35be0714db38fb5cc63b9cda7d27511a
diff --git a/dev-python/boto3/boto3-1.37.32.ebuild b/dev-python/boto3/boto3-1.37.32.ebuild
new file mode 100644
index 000000000000..dfe05b3d9a81
--- /dev/null
+++ b/dev-python/boto3/boto3-1.37.32.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.11.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 80b951033ea3..c4444634d1bc 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -4,3 +4,4 @@ DIST botocore-1.37.28.gh.tar.gz 14529730 BLAKE2B aa04a445d45d24ff7dad8553ce19676
DIST botocore-1.37.29.gh.tar.gz 14534398 BLAKE2B 22916213e7dcba5c6e17105a6abf2752586d17fc1496c1d09b92584cd2d4c5a341c251253bdbdf0699b8cc7d4a2d190d1855698847adf0352f003a1a667bac25 SHA512 3346fa9013d4b361a9fff66aed238d71ba65ebd63555c50fd443aa07eda7c599e1816c8900320a97799ed3aaedd1fd246a5499627ceb9933204f45b878fece6c
DIST botocore-1.37.30.gh.tar.gz 14539545 BLAKE2B 73b3c393d5da95b89d798695ba1fb656017c9d3754371d2d6debbcac8e33795d27bad0fd18258b0381148cd2fd45cabadc59a17745bf1908f23342bbfae3b60f SHA512 8f6d8b963e06b94fd373ab54a84c4083c9a55637d88cb75d2844e094dc1a6ca7a954b215f71515841a6a2776526f1807c2a50983f6417b08057bc2ca843ac390
DIST botocore-1.37.31.gh.tar.gz 14540600 BLAKE2B 872049187a44ff5d7099902c10cf68a83983421798eecee50b02d8b5bd646a04f22ed2b41ec84374499c9d97ed6a2a4fd4e39b5de77e0c8e56fa94c31c2c94aa SHA512 0fffb63321c4ff58533c121e18a6a3cb4cf1587ce0a6fb8ddacc02d52e50de91f278e928dfaad8801b7f081761e0c7ae311a6acab386bdea6de917ddae13cced
+DIST botocore-1.37.32.gh.tar.gz 14545157 BLAKE2B 19f5ce89320d0c9d63dffbb40b510309be89e183b49ab6aa5f35b264bb64c6940f527dee7696c334265042c79b5c2d79250f8941db7293c4d464262a8baa8626 SHA512 f90c90a9985e8a36c5c75a072517da4ec762edd08091c19db8fe3821f294e7f8eb09d28359606c0b8a946f36be415bca6e4085c2296ce0d1280407b9fe757ad1
diff --git a/dev-python/botocore/botocore-1.37.32.ebuild b/dev-python/botocore/botocore-1.37.32.ebuild
new file mode 100644
index 000000000000..df85ee0d220c
--- /dev/null
+++ b/dev-python/botocore/botocore-1.37.32.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/django-celery-results/Manifest b/dev-python/django-celery-results/Manifest
index ff3e6c6b5598..be2e0cba6b9c 100644
--- a/dev-python/django-celery-results/Manifest
+++ b/dev-python/django-celery-results/Manifest
@@ -1,3 +1,3 @@
-DIST django_celery_results-2.5.1.tar.gz 80944 BLAKE2B e3210f163c02735157633a61b05726568e75f4c39cd9a3601ce7a814873fcb10ca00bea99fee7302146e8b3a0bc37e361cef740a3e99a093c0d7d968b92b3d0e SHA512 2da39098a36847ab171a0758b37daafd0a7e17c905b599efebb582226a7adce5f1b5b941bd59db29e5d502d896f8474d2b9771454ef409cdef03b952f0a42526
-EBUILD django-celery-results-2.5.1.ebuild 852 BLAKE2B 18aef05de57cce6f544bbeabdb8e07f53db0d623e6dce0d2bba011fa334aeb4147e966e52cdc5f2def6d35d5fdbcc7e84bf22e166e4df8921c7a76f2dcdb5d2c SHA512 0baba4cfa49397b77047080712800851a6b13a82da2570e6d461b419f5a3516b1849a4d487913a420db1dcd6cfa371516587ab9ffc121aafdd206e03bd5950f1
+DIST django_celery_results-2.6.0.tar.gz 83985 BLAKE2B 05e776195748507a02042e73627926be6a58a4e86939eedb6f1f55f7ac1b88787ac4a8825c197780dcb06b06006fb36c4589f289da3c64200494e468af30498e SHA512 cf7dc716d02647db4012ab4fcfccc504507719bda01cbd1042e18c05913aa271c14553be10ea895b8d63ac0957c6362223f11845babb1b5411924d5221bc1385
+EBUILD django-celery-results-2.6.0.ebuild 973 BLAKE2B 9396ff92456987dd3172e0d0afb05235e25f5cf03ae2f964555b9454915155b514bf11fbaa25fbbe9a99f52535d246b7d4ba5fa5511f382abe57351695dbc4ef SHA512 44ed2defe2a99e06476f3afc354d9d88f4d65ef075c204f96cb3ce2af9512ecae3d9e550b0c804d90e6776727d4eea16948b232e8d2cacebe71980c8e7ac728f
MISC metadata.xml 484 BLAKE2B 1999e7122e2c6a0849f0c4f7c7d9061f7369884c08214fa47e4f6ecef317ca29d603a6f5711d1763623e2fb3485b6c73fa84878606e4e1a0c89307f087aa45a0 SHA512 43a15f56be793c5b18db6ac8bf51070ccc1c89793e9504814a43ee7feaee8e3f4643bc5c6c927193ac9b26084e7c7abe69a95e89f5ff6bf2ada0c7042b1b124b
diff --git a/dev-python/django-celery-results/django-celery-results-2.5.1.ebuild b/dev-python/django-celery-results/django-celery-results-2.6.0.ebuild
index fa7d305dc729..bfa5f766cce3 100644
--- a/dev-python/django-celery-results/django-celery-results-2.5.1.ebuild
+++ b/dev-python/django-celery-results/django-celery-results-2.6.0.ebuild
@@ -20,22 +20,29 @@ KEYWORDS="~amd64"
DEPEND="
>=dev-python/celery-5.2.7[${PYTHON_USEDEP}]
<dev-python/celery-6.0[${PYTHON_USEDEP}]
- >=dev-python/django-3.2.18[${PYTHON_USEDEP}]
+ >=dev-python/django-3.2.25[${PYTHON_USEDEP}]
"
DOCS=( README.rst )
-#BDEPEND="
-# test? (
-# >=dev-python/pytest-django-4.5.2[${PYTHON_USEDEP}]
-# dev-python/pytz[${PYTHON_USEDEP}]
-# )
-#"
+BDEPEND="
+ test? (
+ >=dev-python/pytest-django-4.5.2[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_DESELECT=(
+ # Failing tests
+ t/integration/benchmark_models.py
+ t/unit/backends/test_database.py
+ t/unit/test_models.py
+)
-#distutils_enable_tests pytest
+distutils_enable_tests pytest
distutils_enable_sphinx docs \
dev-python/sphinx-celery
-#python_test() {
-# epytest -m "not network"
-#}
+python_test() {
+ epytest -m "not network"
+}
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 8ec5e199f8da..cde2d60399a2 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -4,3 +4,4 @@ DIST hypothesis-6.130.12.gh.tar.gz 9543942 BLAKE2B 27c4bef0f68ee434ce81582b86441
DIST hypothesis-6.130.13.gh.tar.gz 9544282 BLAKE2B 9a74af5cab1562b5eb2fc00fe1ea67471171ac1ecf71ef01e51082b6e3469c7a9b1de7e56119a4517b8f6c45be5efbc5461dcd258ab80c246e07df7c58dbf9c2 SHA512 25dbde677bf8b2e727999c39083f6746c9431e22326034c50ed723b51a3d7678a62dce648fcfd16802808f2034ad7cb74fe0b98fe50519b505a5b05412afa17a
DIST hypothesis-6.130.8.gh.tar.gz 9538996 BLAKE2B 7f2779a69fbb1301cf7cdf0b414aff28e60cb2efb4d2451f2962cda1c048401d1e532e205c993691e1b2aa0f71af1a67274f40dd03a449db4f62de01c22c9dd8 SHA512 85df9ed0477d37b9fb96ada20aa41b8b65b27496fb0a4cfb44ebbab94d6859bc2767e8529f76b53e6f28cc122eea8529784a97b4e4b1803004072e317ecee00f
DIST hypothesis-6.130.9.gh.tar.gz 9540297 BLAKE2B f1739aa493baf7c908064b6450f601576b5e71ad254bf3b45cb2cdcf6b34f98f647beef5ed939e099c33e60cfe5ffc8b1b13b85ac115361e3a19c34ca30fef04 SHA512 11ac4ae33a53d622eaebdf6106b13d51141a57140c268d465d202650ae79925777fbebde828188b2ba1ba87f6e062f8d014131eef5b0d2315a327a9dcea7d30c
+DIST hypothesis-6.131.0.gh.tar.gz 9544526 BLAKE2B 8500bdcac754b34fcd7134ff8119fd90dfe29c2087b0900f20e4a303fb88843bf6c5aba1140c52e494af2cfa93424915152bb6a9d752fab437afce7bdf94eff6 SHA512 472b75cdd05e43115c750a0ec3cf025b3bac11c3de6fbdbe46c46efec93a0e3aa254f219ea0a9643652f9452d687c5ee317c145be88375cb72a29241aec823c9
diff --git a/dev-python/hypothesis/hypothesis-6.131.0.ebuild b/dev-python/hypothesis/hypothesis-6.131.0.ebuild
new file mode 100644
index 000000000000..ba7cfa420917
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.131.0.ebuild
@@ -0,0 +1,110 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( pypy3 python3_{10..13} )
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-22.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+ ' 3.9 3.10)
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ >=dev-python/pytest-8[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,_hypothesis_pytestplugin
+ local -x HYPOTHESIS_NO_PLUGINS=1
+
+ # NB: paths need to be relative to pytest.ini,
+ # i.e. start with hypothesis-python/
+ local EPYTEST_DESELECT=()
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+ # failing due to warnings from numpy/cython
+ hypothesis-python/tests/pytest/test_fixtures.py::test_given_plus_overridden_fixture
+ )
+ ;;
+ python3.1[23]*)
+ EPYTEST_DESELECT+=(
+ # TODO
+ 'hypothesis-python/tests/cover/test_reflection.py::test_clean_source[case-5]'
+ )
+ ;;
+ esac
+
+ epytest -o filterwarnings= -p rerunfailures --reruns=5 \
+ tests/cover tests/pytest tests/quality
+}
+
+src_install() {
+ local HAD_CLI=
+
+ distutils-r1_src_install
+
+ if [[ ! ${HAD_CLI} ]]; then
+ rm -r "${ED}/usr/bin" || die
+ fi
+}
+
+python_install() {
+ distutils-r1_python_install
+ if use cli && has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ HAD_CLI=1
+ else
+ rm -r "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/ipywidgets/Manifest b/dev-python/ipywidgets/Manifest
index 885650768ae2..3cac9e2e69b3 100644
--- a/dev-python/ipywidgets/Manifest
+++ b/dev-python/ipywidgets/Manifest
@@ -1 +1,2 @@
DIST ipywidgets-8.1.5.tar.gz 116723 BLAKE2B fb616c368e75efd6a88dc1c586f16a33a0a725193e0765b0b0ec4a24764b1e8eb33e85b439a33716806e6eda4038674be8059f450695c87a88c5283d425d80b6 SHA512 b4030cc511f759db75417139575f85a797588fe48e17e7ac7debe7bff3f62ebe14dca86a21599be52b7cc6622fe7bb8e8a3dc41d0fffcabe7f77f15735cd5629
+DIST ipywidgets-8.1.6.tar.gz 116764 BLAKE2B 74e3b82cfdbeec3da00acf1fc55f4351975f431e7b62fabaa9871d9240880aec77c28e67d79cc17ca01e3f979ee6a7a4be1f1fe22be4a5d72c8d118af8e43ce5 SHA512 4997cf17a99dad022e3f625a1392db3f6edd82e829c0aa6eeb140a8554f8ba5e53a6ba745d70a117ab25577a085d3fe103b4cec022a24618b862b89e508ebe71
diff --git a/dev-python/ipywidgets/ipywidgets-8.1.6.ebuild b/dev-python/ipywidgets/ipywidgets-8.1.6.ebuild
new file mode 100644
index 000000000000..67deb816440b
--- /dev/null
+++ b/dev-python/ipywidgets/ipywidgets-8.1.6.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="IPython HTML widgets for Jupyter"
+HOMEPAGE="
+ https://ipywidgets.readthedocs.io/
+ https://github.com/jupyter-widgets/ipywidgets/
+ https://pypi.org/project/ipywidgets/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/comm-0.1.3[${PYTHON_USEDEP}]
+ >=dev-python/ipython-genutils-0.2.0[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-4.3.1[${PYTHON_USEDEP}]
+ >=dev-python/widgetsnbextension-4.0.14[${PYTHON_USEDEP}]
+ >=dev-python/jupyterlab-widgets-3.0.14[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ )
+"
+PDEPEND="
+ >=dev-python/ipython-6.1.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=()
+
+ case ${EPYTHON} in
+ pypy3*)
+ EPYTEST_DESELECT+=(
+ # https://github.com/pypy/pypy/issues/4892
+ ipywidgets/widgets/tests/test_interaction.py::test_interact_noinspect
+ )
+ ;;
+ esac
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/jupyterlab-widgets/Manifest b/dev-python/jupyterlab-widgets/Manifest
index 62298a2596f1..2e60f5620d57 100644
--- a/dev-python/jupyterlab-widgets/Manifest
+++ b/dev-python/jupyterlab-widgets/Manifest
@@ -1 +1,2 @@
DIST jupyterlab_widgets-3.0.13.tar.gz 203556 BLAKE2B 24b0988f70e820990f0c8a0f46e40f2aad8cc925c5c43b11382f626ca6c01fd1ef0e63672a99257552f502ebd8c3ebf8696124226e646dd5f8f653cc58f4c8da SHA512 3cf4f406947b80367f822a8268212a339a259b1ca31d7a284950fe00f2aef9d48be0137f4a12380eebfe48ae1a82420a758d9005d0ffb10ed85eefb9080d57c4
+DIST jupyterlab_widgets-3.0.14.tar.gz 203815 BLAKE2B a1a6c39722fd2d781a809833719a5206e5eef838a58e87067ff8494ce6826b6956184378eb4ded7075ec79df2a45446786353c77f43b4a65cc8855b8c9d28377 SHA512 5f87d63d590a3c48359c1b81688edfff1b36149f969c7edffc5d9cfc2d0cbffc755dc0f5691bdd369f8481dae6fd4f4055631b06fcfa81b43f92218026f70bfc
diff --git a/dev-python/jupyterlab-widgets/jupyterlab-widgets-3.0.14.ebuild b/dev-python/jupyterlab-widgets/jupyterlab-widgets-3.0.14.ebuild
new file mode 100644
index 000000000000..f090e0a5054a
--- /dev/null
+++ b/dev-python/jupyterlab-widgets/jupyterlab-widgets-3.0.14.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=jupyter
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Jupyter interactive widgets for JupyterLab"
+HOMEPAGE="
+ https://ipython.org/
+ https://pypi.org/project/jupyterlab-widgets/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+BDEPEND="
+ dev-python/jupyter-packaging[${PYTHON_USEDEP}]
+"
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index a11d7c268c91..37a64204a00a 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1 +1,3 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
+EBUILD langdetect-1.0.9.ebuild 494 BLAKE2B 9b3521c5721afa49a58e0c35267f7d82bb56bd7e1d6d3152be0d36cd220180a526cb20b90b1113fbf0fff4a512137570f0b3bcf864498b7b7cc00403cb61ca27 SHA512 16d311400bf84a5f04e15f3da4b68b2810e4b005009f4d03dc8a487176dfc294403c976c412c83dcfa8084a49ef7b7d5389b43fb2ba446ce107ce4595e3558c6
+MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
deleted file mode 100644
index 637368d2f237..000000000000
--- a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-Fix "Package 'langdetect.profiles' is absent from the `packages` configuration."
-
---- a/setup.py
-+++ b/setup.py
-@@ -18,7 +18,7 @@ setup(
- author_email='michal.danilak@gmail.com',
- url='https://github.com/Mimino666/langdetect',
- keywords='language detection library',
-- packages=['langdetect', 'langdetect.utils', 'langdetect.tests'],
-+ packages=['langdetect', 'langdetect.utils', 'langdetect.tests', 'langdetect.profiles'],
- include_package_data=True,
- install_requires=['six'],
- license='MIT',
diff --git a/dev-python/langdetect/langdetect-1.0.9.ebuild b/dev-python/langdetect/langdetect-1.0.9.ebuild
index eb2586280d80..56733bbffc48 100644
--- a/dev-python/langdetect/langdetect-1.0.9.ebuild
+++ b/dev-python/langdetect/langdetect-1.0.9.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022-2024 Gentoo Authors
+# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -19,6 +19,4 @@ KEYWORDS="~amd64"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
-PATCHES=( "${FILESDIR}/${P}-explicit-config.patch" )
-
distutils_enable_tests unittest
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index c0f74ac187e2..020e07f2a3dd 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -2,9 +2,11 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>pastalian46@gmail.com</email>
- <name>Takuya Wakazono</name>
+ <email>marcin.deranek@slonko.net</email>
+ <name>Marcin Deranek</name>
</maintainer>
-
- <origin>gentoo-guru-overlay</origin>
+ <upstream>
+ <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
+ </upstream>
+ <origin>slonko-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/mako/Manifest b/dev-python/mako/Manifest
index 8f850c7c272b..2510676d81d1 100644
--- a/dev-python/mako/Manifest
+++ b/dev-python/mako/Manifest
@@ -1 +1,2 @@
+DIST mako-1.3.10.tar.gz 392474 BLAKE2B 21ed9256cd72bb9003f5e581cf5d7a748552dfa2318863ac61150f94ecab58b9471221d4e6e50aed13a1d176864ab9bd0a6953b3d2e14b722980dfa3d7686858 SHA512 33fcf08b35b00ae33dcfb4b9dac4adcc7e0a9d8bdfdf0bc92f6aa13fbc12031e9fc46c910d92803ffa7b31e4ee58209f11cc186e04f9b08bad7ec4bcd309d554
DIST mako-1.3.9.tar.gz 392195 BLAKE2B ce697b26e66ba7d352d4888d13e042e3aa5195f6b1000b95b3a5d619eb9cc7fa492ef94c15a9032939fd46bc550d32f8633ea07dc5f785d5ab3943fe129322c8 SHA512 a560587c425dc6905f528a6040e3389e8a1ba148c334f8c229925742b0e5af7db74894d2db9e2d5c7ba4a1f0708e6d28273f0142d63b193f793dafa104d7f79b
diff --git a/dev-python/mako/mako-1.3.10.ebuild b/dev-python/mako/mako-1.3.10.ebuild
new file mode 100644
index 000000000000..9aeff1b80595
--- /dev/null
+++ b/dev-python/mako/mako-1.3.10.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_PN=${PN^}
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Python templating language"
+HOMEPAGE="
+ https://www.makotemplates.org/
+ https://github.com/sqlalchemy/mako/
+ https://pypi.org/project/Mako/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+IUSE="doc"
+
+RDEPEND="
+ >=dev-python/markupsafe-0.9.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/babel[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=()
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+ test/test_exceptions.py::ExceptionsTest::test_alternating_file_names
+ )
+ ;;
+ esac
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
+
+python_install_all() {
+ rm -r doc/build || die
+
+ use doc && local HTML_DOCS=( doc/. )
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/multidict/Manifest b/dev-python/multidict/Manifest
index 117d95805678..bce6c9f67c8f 100644
--- a/dev-python/multidict/Manifest
+++ b/dev-python/multidict/Manifest
@@ -1,3 +1,4 @@
DIST multidict-6.1.0.gh.tar.gz 73800 BLAKE2B 9e3531633b0a35bbb8a97ec2dfe040080fe67efae3b3a16436b0984d6c3a4dc38df1cf5b91bd7b1f750f7a27bd2726667935fa30eefa7b070534fd70f390ee8a SHA512 48e97f442c28c2dfc0b5e19376ae9c8c46b20939ac4f72c07b650450286156dcbe03166f7d238d7a77b438a154022e9d98a38a4c0596aefab7d40fbdda0687dc
DIST multidict-6.2.0.gh.tar.gz 82115 BLAKE2B 37b509d409278396f52e39d63b671b3b447039f2f98fa6f1b80b1ff4189105ca5a80b9027e8fcfbb95734b3c5531c1fd4a0cbfd778cdfab85ea5c127fb735717 SHA512 211dfe4900d815be1365284e18183f82f34783b777cbca929e2f8468b6748e237825febe9baa7a6d3e2a97476a8c6e061d2d7d2de94c48a2c526809224379656
DIST multidict-6.3.2.gh.tar.gz 104692 BLAKE2B 8e8ea4d8d03b41c45ba26eab12da5f7bb890b5c2e01727c9257e8caefbdc7b95f98500b16fcef5bcf23b4ac9bb48875992176214ad6fa976dbd0fb640a40f583 SHA512 aec44734a3255eefcce5f0bf037b465eb536f65860fe410f1c249042286471cee2933004a0380579a701475a63931ca6615cde85b0c840af70db87268e6e3f8a
+DIST multidict-6.4.3.gh.tar.gz 106392 BLAKE2B 63ee89cc0dec98cd453aa7323bc7ddd9c705dfabe877c5982fe1ace405f3f2b666e8b668fecafdf83866c797b58e548f7d558f493ba4291e5d857725d4f8b1aa SHA512 d4c267a58c86f8cc257583dfefab77095b54124d34cea310beddfbbb58a4337154846165bd259884fb22a19ee13e02dbba6e44d5486fc6b9d96415fa582a8f36
diff --git a/dev-python/multidict/multidict-6.4.3.ebuild b/dev-python/multidict/multidict-6.4.3.ebuild
new file mode 100644
index 000000000000..92008c121f69
--- /dev/null
+++ b/dev-python/multidict/multidict-6.4.3.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="multidict implementation"
+HOMEPAGE="
+ https://github.com/aio-libs/multidict/
+ https://pypi.org/project/multidict/
+"
+SRC_URI="
+ https://github.com/aio-libs/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="+native-extensions"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ >=dev-python/typing-extensions-4.1.0[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't enable coverage or other pytest settings
+ sed -i -e '/cov/d' pytest.ini || die
+ # don't force -O3
+ sed -i -e 's:"-O3"::' setup.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_compile() {
+ if ! use native-extensions || [[ ${EPYTHON} == pypy3* ]]; then
+ local -x MULTIDICT_NO_EXTENSIONS=1
+ fi
+
+ distutils-r1_python_compile
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ tests/test_multidict_benchmarks.py
+ tests/test_views_benchmarks.py
+ )
+
+ rm -rf multidict || die
+
+ local cext=--c-extensions
+ if ! use native-extensions || [[ ${EPYTHON} == pypy3* ]]; then
+ cext=--no-c-extensions
+ fi
+ epytest "${cext}"
+}
diff --git a/dev-python/openstacksdk/Manifest b/dev-python/openstacksdk/Manifest
index 7fb4e004af25..e2b59fdb6823 100644
--- a/dev-python/openstacksdk/Manifest
+++ b/dev-python/openstacksdk/Manifest
@@ -1 +1,2 @@
DIST openstacksdk-4.4.0.tar.gz 1266578 BLAKE2B 003247645b4a386a8d998e8b003f41fe45e1160c1fa4223a61285cc17aba1e385d50ac0eded2c91ee948569c5b3277c35ebf22c08f6775a9fbef728b9cb94e40 SHA512 2a6935442533c35c070933b0bc238cdcf8a29d86719002b81e568353a47e0d566df18ca9138956d470535c9c2dca9f99f8d6112790eef37a6bfdf058c96246fe
+DIST openstacksdk-4.5.0.tar.gz 1284921 BLAKE2B 0b1ef6483c8c3724f20badb1108ec544937b83d9fd25d989289ac4143909d175c9d16b9545315bfe88a371a1ac2088511dbe4333cadf6141dd95200b3b45ed5c SHA512 7c8225089afa4e52ef501810a495c3047a15f31388cb32cecd035474c9cf56bd2b3181b13c71a619f841206935d455fd69787005fa6fcdf5a0d2f627c9a39dc3
diff --git a/dev-python/openstacksdk/openstacksdk-4.5.0.ebuild b/dev-python/openstacksdk/openstacksdk-4.5.0.ebuild
new file mode 100644
index 000000000000..773203367ae0
--- /dev/null
+++ b/dev-python/openstacksdk/openstacksdk-4.5.0.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A collection of libraries for building applications to work with OpenStack"
+HOMEPAGE="
+ https://opendev.org/openstack/openstacksdk/
+ https://github.com/openstack/openstacksdk/
+ https://pypi.org/project/openstacksdk/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/cryptography-2.7[${PYTHON_USEDEP}]
+ >=dev-python/decorator-4.4.1[${PYTHON_USEDEP}]
+ >=dev-python/dogpile-cache-0.6.5[${PYTHON_USEDEP}]
+ >=dev-python/iso8601-0.1.11[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.9.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonpatch-1.21[${PYTHON_USEDEP}]
+ >=dev-python/keystoneauth1-5.10.0[${PYTHON_USEDEP}]
+ >=dev-python/os-service-types-1.7.0[${PYTHON_USEDEP}]
+ >=dev-python/pbr-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-3[${PYTHON_USEDEP}]
+ >=dev-python/psutil-3.2.2[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-3.13[${PYTHON_USEDEP}]
+ >=dev-python/requestsexceptions-1.2.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/pbr-2.2.0[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/ddt-1.0.1[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-config-6.1.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/prometheus-client-0.4.2[${PYTHON_USEDEP}]
+ >=dev-python/requests-mock-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/statsd-3.3.0[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.12.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # Internet?
+ sed -e 's:test_create_dynamic_large_object:_&:' \
+ -i openstack/tests/unit/cloud/test_object.py || die
+
+ # TODO
+ sed -e 's:test_generate_form:_&:' \
+ -e 's:test_create_static_large_object:_&:' \
+ -e 's:test_object_segment_retries:_&:' \
+ -e 's:test_object_segment_retry_failure:_&:' \
+ -e 's:test_slo_manifest_retry:_&:' \
+ -i openstack/tests/unit/cloud/test_object.py || die
+ sed -e 's:test_servers:_&:' \
+ -i openstack/tests/unit/test_stats.py || die
+
+ # unhappy about paths due to test runner
+ sed -e 's:test_method_not_supported:_&:' \
+ -i openstack/tests/unit/test_exceptions.py || die
+ sed -e 's:test_repr:_&:' \
+ -i openstack/tests/unit/test_resource.py || die
+
+ # requires hacking
+ rm openstack/tests/unit/test_hacking.py || die
+
+ # fragile warning-based tests
+ sed -e 's:test_unsupported_version_override:_&:' \
+ -i openstack/tests/unit/test_missing_version.py || die
+ sed -e 's:test_create_unknown_proxy:_&:' \
+ -i openstack/tests/unit/test_connection.py || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # functional tests require cloud instance access
+ eunittest -b openstack/tests/unit
+}
diff --git a/dev-python/opentelemetry-api/Manifest b/dev-python/opentelemetry-api/Manifest
index df540fa979b2..313022b4bc0a 100644
--- a/dev-python/opentelemetry-api/Manifest
+++ b/dev-python/opentelemetry-api/Manifest
@@ -1 +1,2 @@
DIST opentelemetry-python-1.31.1.gh.tar.gz 1224970 BLAKE2B de3c81075fdfa3c005db7ab5ba2ba150983b205b6324ff99129389b65f8bdf8e90fe4cd3c11ff73f0782845aeef70a80cc9627c485cb9b5ba84133d2fc5110dd SHA512 de26d96cf08b306b0f2cee860393a3baa333d2266b3a386d2c9947f6b1dc90d8fd1b36f229c0c92b240819fd71ebdac126a5c371f7d6c249fa2e791ecf5174aa
+DIST opentelemetry-python-1.32.0.gh.tar.gz 1227374 BLAKE2B 193f502a925b659a2696746e0f0a2d39a859d4b58260ed27946b8dc27cfd4b7aad3f9ff8c626ceea93c71b7671a67b60ca44609adf4d41fcd76d021702c12835 SHA512 31e74e34d532ec23ce3797e0fc5cbeaabe60faa6b2cdc2ceeb9ec8f6451a718c819619c2a1fdad1619b1351b10eea39274a3a412f34d18eb661736d90901ae2d
diff --git a/dev-python/opentelemetry-api/opentelemetry-api-1.32.0.ebuild b/dev-python/opentelemetry-api/opentelemetry-api-1.32.0.ebuild
new file mode 100644
index 000000000000..0d91042ac109
--- /dev/null
+++ b/dev-python/opentelemetry-api/opentelemetry-api-1.32.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+MY_P="opentelemetry-python-${PV}"
+DESCRIPTION="OpenTelemetry Python API"
+HOMEPAGE="
+ https://opentelemetry.io/
+ https://pypi.org/project/opentelemetry-api/
+ https://github.com/open-telemetry/opentelemetry-python/
+"
+SRC_URI="
+ https://github.com/open-telemetry/opentelemetry-python/archive/refs/tags/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/${PN}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/deprecated-1.2.6[${PYTHON_USEDEP}]
+ dev-python/importlib-metadata[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ default
+
+ # Unnecessary restriction
+ sed -i -e '/importlib-metadata/s:, <= [0-9.]*::' pyproject.toml || die
+}
+
+python_test() {
+ cp -a "${BUILD_DIR}"/{install,test} || die
+ local -x PATH=${BUILD_DIR}/test/usr/bin:${PATH}
+
+ for dep in opentelemetry-semantic-conventions opentelemetry-sdk \
+ tests/opentelemetry-test-utils
+ do
+ pushd "${WORKDIR}/${MY_P}/${dep}" >/dev/null || die
+ distutils_pep517_install "${BUILD_DIR}"/test
+ popd >/dev/null || die
+ done
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/opentelemetry-sdk/Manifest b/dev-python/opentelemetry-sdk/Manifest
index df540fa979b2..313022b4bc0a 100644
--- a/dev-python/opentelemetry-sdk/Manifest
+++ b/dev-python/opentelemetry-sdk/Manifest
@@ -1 +1,2 @@
DIST opentelemetry-python-1.31.1.gh.tar.gz 1224970 BLAKE2B de3c81075fdfa3c005db7ab5ba2ba150983b205b6324ff99129389b65f8bdf8e90fe4cd3c11ff73f0782845aeef70a80cc9627c485cb9b5ba84133d2fc5110dd SHA512 de26d96cf08b306b0f2cee860393a3baa333d2266b3a386d2c9947f6b1dc90d8fd1b36f229c0c92b240819fd71ebdac126a5c371f7d6c249fa2e791ecf5174aa
+DIST opentelemetry-python-1.32.0.gh.tar.gz 1227374 BLAKE2B 193f502a925b659a2696746e0f0a2d39a859d4b58260ed27946b8dc27cfd4b7aad3f9ff8c626ceea93c71b7671a67b60ca44609adf4d41fcd76d021702c12835 SHA512 31e74e34d532ec23ce3797e0fc5cbeaabe60faa6b2cdc2ceeb9ec8f6451a718c819619c2a1fdad1619b1351b10eea39274a3a412f34d18eb661736d90901ae2d
diff --git a/dev-python/opentelemetry-sdk/opentelemetry-sdk-1.32.0.ebuild b/dev-python/opentelemetry-sdk/opentelemetry-sdk-1.32.0.ebuild
new file mode 100644
index 000000000000..0a63f8565793
--- /dev/null
+++ b/dev-python/opentelemetry-sdk/opentelemetry-sdk-1.32.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1
+
+MY_P="opentelemetry-python-${PV}"
+DESCRIPTION="OpenTelemetry Python SDK"
+HOMEPAGE="
+ https://opentelemetry.io/
+ https://pypi.org/project/opentelemetry-sdk/
+ https://github.com/open-telemetry/opentelemetry-python/
+"
+SRC_URI="
+ https://github.com/open-telemetry/opentelemetry-python/archive/refs/tags/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+
+S="${WORKDIR}/${MY_P}/${PN}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ ~dev-python/opentelemetry-api-${PV}[${PYTHON_USEDEP}]
+ ~dev-python/opentelemetry-semantic-conventions-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-3.7.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/flaky[${PYTHON_USEDEP}]
+ )
+"
+
+# Tests cannot handle xdist with high makeopts
+# https://bugs.gentoo.org/928132
+distutils_enable_tests pytest
+
+python_test() {
+ cp -a "${BUILD_DIR}"/{install,test} || die
+ local -x PATH=${BUILD_DIR}/test/usr/bin:${PATH}
+
+ for dep in tests/opentelemetry-test-utils; do
+ pushd "${WORKDIR}/${MY_P}/${dep}" >/dev/null || die
+ distutils_pep517_install "${BUILD_DIR}"/test
+ popd >/dev/null || die
+ done
+
+ local EPYTEST_DESELECT=(
+ # TODO
+ "${PN}"/tests/resources/test_resources.py::TestOTELResourceDetector::test_process_detector
+ "${PN}"/tests/metrics/integration_test/test_console_exporter.py::TestConsoleExporter::test_console_exporter_with_exemplars
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests
+}
diff --git a/dev-python/opentelemetry-semantic-conventions/Manifest b/dev-python/opentelemetry-semantic-conventions/Manifest
index df540fa979b2..313022b4bc0a 100644
--- a/dev-python/opentelemetry-semantic-conventions/Manifest
+++ b/dev-python/opentelemetry-semantic-conventions/Manifest
@@ -1 +1,2 @@
DIST opentelemetry-python-1.31.1.gh.tar.gz 1224970 BLAKE2B de3c81075fdfa3c005db7ab5ba2ba150983b205b6324ff99129389b65f8bdf8e90fe4cd3c11ff73f0782845aeef70a80cc9627c485cb9b5ba84133d2fc5110dd SHA512 de26d96cf08b306b0f2cee860393a3baa333d2266b3a386d2c9947f6b1dc90d8fd1b36f229c0c92b240819fd71ebdac126a5c371f7d6c249fa2e791ecf5174aa
+DIST opentelemetry-python-1.32.0.gh.tar.gz 1227374 BLAKE2B 193f502a925b659a2696746e0f0a2d39a859d4b58260ed27946b8dc27cfd4b7aad3f9ff8c626ceea93c71b7671a67b60ca44609adf4d41fcd76d021702c12835 SHA512 31e74e34d532ec23ce3797e0fc5cbeaabe60faa6b2cdc2ceeb9ec8f6451a718c819619c2a1fdad1619b1351b10eea39274a3a412f34d18eb661736d90901ae2d
diff --git a/dev-python/opentelemetry-semantic-conventions/opentelemetry-semantic-conventions-1.32.0.ebuild b/dev-python/opentelemetry-semantic-conventions/opentelemetry-semantic-conventions-1.32.0.ebuild
new file mode 100644
index 000000000000..4fcd38d97ec6
--- /dev/null
+++ b/dev-python/opentelemetry-semantic-conventions/opentelemetry-semantic-conventions-1.32.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+MY_P="opentelemetry-python-${PV}"
+DESCRIPTION="OpenTelemetry Semantic Conventions"
+HOMEPAGE="
+ https://opentelemetry.io/
+ https://pypi.org/project/opentelemetry-sdk/
+ https://github.com/open-telemetry/opentelemetry-python/
+"
+SRC_URI="
+ https://github.com/open-telemetry/opentelemetry-python/archive/refs/tags/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/${PN}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/deprecated-1.2.6[${PYTHON_USEDEP}]
+ ~dev-python/opentelemetry-api-${PV}[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ cp -a "${BUILD_DIR}"/{install,test} || die
+ local -x PATH=${BUILD_DIR}/test/usr/bin:${PATH}
+
+ for dep in opentelemetry-sdk tests/opentelemetry-test-utils; do
+ pushd "${WORKDIR}/${MY_P}/${dep}" >/dev/null || die
+ distutils_pep517_install "${BUILD_DIR}"/test
+ popd >/dev/null || die
+ done
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/osc-lib/Manifest b/dev-python/osc-lib/Manifest
index c58aad4b83cf..a12d9d160860 100644
--- a/dev-python/osc-lib/Manifest
+++ b/dev-python/osc-lib/Manifest
@@ -1,2 +1,2 @@
-DIST osc-lib-3.1.0.tar.gz 99632 BLAKE2B b0cbb070ae4e68d24080bea1aad7522c4ee37195f361ad1bf588e2ad7942e7a73f65dca69da8b9b0a9aaf74f503a16b26428c40b279f5cf41c7c8ef67872bbad SHA512 51067ea92e070f478d7eaa3f3678920aa859850a3c2f9e96c8d97dd7d67dc5c26cc9c53070f7d04d5a591f181be781c9d89d78614cff57204c5a233e6f8d4ad5
DIST osc-lib-3.2.0.tar.gz 99180 BLAKE2B dfa1bb53245599154feea88733e9bfda0251ccf21aaa1e661f862215e3dc0105fdfaf2d916e2454b93bbe8c5c76f70cdf8bf0fb7a3f71756e51c3b3d3159abd7 SHA512 3942ebfa17b2f292c3703dae9f9edf4b8fef256fbd9f3df4be71451b2920f37720b195d25b945be0f69cb8c93cda1652926c7015a511a3e8e92833be3623f295
+DIST osc_lib-4.0.0.tar.gz 101874 BLAKE2B a2ab33ca2b3cfe297664be940dff6a158c62de0d1c45203a1fd418fbf119d44bd52063c6d49e21cbd1afc43163d7d9bfa8d77e41b559b6e87cc0933d8da3c7b9 SHA512 bd6ccfcecb4d4a026a2900e9f472da89b3c3cbc9e0396f1f9403a8aeb4ff6756c80ba655fa7c6b0d88321ab31f05fb0db506916ab0edcc979370df76862b7c52
diff --git a/dev-python/osc-lib/osc-lib-3.1.0.ebuild b/dev-python/osc-lib/osc-lib-4.0.0.ebuild
index cae48e3369aa..a1e4da06173f 100644
--- a/dev-python/osc-lib/osc-lib-3.1.0.ebuild
+++ b/dev-python/osc-lib/osc-lib-4.0.0.ebuild
@@ -1,10 +1,9 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
-PYPI_NO_NORMALIZE=1
PYTHON_COMPAT=( python3_{9,10,11,12,13} )
inherit distutils-r1 pypi
@@ -18,11 +17,11 @@ HOMEPAGE="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="amd64 ~arm arm64 ~riscv x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86 ~amd64-linux ~x86-linux"
RDEPEND="
- >=dev-python/cliff-3.2.0[${PYTHON_USEDEP}]
- >=dev-python/keystoneauth1-3.14.0[${PYTHON_USEDEP}]
+ >=dev-python/cliff-4.9.0[${PYTHON_USEDEP}]
+ >=dev-python/keystoneauth1-5.10.0[${PYTHON_USEDEP}]
>=dev-python/openstacksdk-0.15.0[${PYTHON_USEDEP}]
>=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
>=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
diff --git a/dev-python/pyqt6/Manifest b/dev-python/pyqt6/Manifest
index bc205191abcc..92c57c9b7244 100644
--- a/dev-python/pyqt6/Manifest
+++ b/dev-python/pyqt6/Manifest
@@ -1,2 +1,2 @@
-DIST PyQt6-6.8.0.tar.gz 1061357 BLAKE2B da944a8ec6c5632cb24d56b5a268521cbf3ae17d307ec5aba292bf5f25e33cb2e92fef28c1bcc506c4e5ea60c9e2f714bfd2a95aefe2cc40726b4ec9fccb36cb SHA512 da57be66ede5fe1355ab1fd95e436c139e0d1dffc75f23f3933c20623d62fc9b9fad573d876e90d066588d2dc2f01e83771a0f05fe3b668fbb69a889ddfbcc15
DIST pyqt6-6.8.1.tar.gz 1064723 BLAKE2B 99ac44fe250b6ff7a1762df5d668b69ad424dc1b563147be7ba94ce7f00729c29ce17be4cd7c39b276549199b66d877dec69e9eeb6b394ed42f944f9155825fa SHA512 87727369168fde6e3edc488f96dd13d537f026e207e4b4ab1c95d09bf85859512a117dfc801249e0891425a6b5579830724e4145f370e2ef9909788f56eb4df6
+DIST pyqt6-6.9.0.tar.gz 1066831 BLAKE2B bdcac0c5b516ce8d299562e69b6fb66190343ba0153734bd75c174e690e42d85dae52154ed29c345b9706333c41beea1998a4cbaece9b66e27bb3167ec1b1c45 SHA512 a6e5c054d4b7ddf93e371e28265a7026f28237f62d0b92b121fb7508269be4ed4917661e035142036a82cd9f9527717e157297525cebc842793e2cbef8873c25
diff --git a/dev-python/pyqt6/files/pyqt6-6.8.0-qt682.patch b/dev-python/pyqt6/files/pyqt6-6.8.0-qt682.patch
deleted file mode 100644
index 793b45fdda0f..000000000000
--- a/dev-python/pyqt6/files/pyqt6-6.8.0-qt682.patch
+++ /dev/null
@@ -1,9 +0,0 @@
-Quick build fix while waiting for PyQt6-6.8.2, not entirely sure
-if this is correct as hardly know sip.
---- a/sip/QtCore/qstringconverter_base.sip
-+++ b/sip/QtCore/qstringconverter_base.sip
-@@ -24,3 +24,3 @@
-
--class QStringConverterBase
-+class QStringConverterBase /NoDefaultCtors/
- {
diff --git a/dev-python/pyqt6/pyqt6-6.8.0.ebuild b/dev-python/pyqt6/pyqt6-6.9.0.ebuild
index 5495b8f48f7a..5b51a87a34da 100644
--- a/dev-python/pyqt6/pyqt6-6.8.0.ebuild
+++ b/dev-python/pyqt6/pyqt6-6.9.0.ebuild
@@ -5,8 +5,6 @@ EAPI=8
DISTUTILS_EXT=1
DISTUTILS_USE_PEP517=sip
-PYPI_NO_NORMALIZE=1
-PYPI_PN=PyQt6
PYTHON_COMPAT=( python3_{9,10,11,12,13} )
inherit distutils-r1 flag-o-matic multiprocessing pypi qmake-utils
@@ -18,15 +16,15 @@ HOMEPAGE="https://www.riverbankcomputing.com/software/pyqt/"
LICENSE="GPL-3"
SLOT="0"
-KEYWORDS="amd64 arm arm64 ~loong ~ppc ppc64 ~riscv x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
# defaults match what is provided with qtbase by default (except testlib),
# reduces the need to set flags but does increase build time a fair amount
IUSE="
bluetooth +dbus debug designer examples gles2-only +gui help
multimedia +network nfc opengl pdfium positioning +printsupport
- qml quick quick3d remoteobjects serialport sensors spatialaudio
- speech +sql +ssl svg testlib webchannel websockets vulkan
- +widgets +xml
+ qml quick quick3d remoteobjects scxml serialport sensors
+ spatialaudio speech +sql +ssl svg testlib webchannel websockets
+ vulkan +widgets +xml
"
# see `grep -r "%Import " sip` and `grep qmake_QT project.py`
REQUIRED_USE="
@@ -40,6 +38,7 @@ REQUIRED_USE="
quick3d? ( gui qml )
quick? ( gui qml )
remoteobjects? ( network )
+ scxml? ( gui )
spatialaudio? ( multimedia )
sql? ( widgets )
svg? ( gui )
@@ -72,6 +71,7 @@ COMMON_DEPEND="
quick3d? ( >=dev-qt/qtquick3d-${QT_PV} )
quick? ( >=dev-qt/qtdeclarative-${QT_PV}[opengl] )
remoteobjects? ( >=dev-qt/qtremoteobjects-${QT_PV} )
+ scxml? ( >=dev-qt/qtscxml-${QT_PV} )
sensors? ( >=dev-qt/qtsensors-${QT_PV} )
serialport? ( >=dev-qt/qtserialport-${QT_PV} )
speech? (
@@ -97,10 +97,6 @@ BDEPEND="
dbus? ( virtual/pkgconfig )
"
-PATCHES=(
- "${FILESDIR}"/${P}-qt682.patch
-)
-
src_prepare() {
default
@@ -154,6 +150,7 @@ python_configure_all() {
$(usev widgets QtQuickWidgets))
$(pyqt_use_enable quick3d QtQuick3D)
$(pyqt_use_enable remoteobjects QtRemoteObjects)
+ $(pyqt_use_enable scxml QtStateMachine)
$(pyqt_use_enable sensors QtSensors)
$(pyqt_use_enable serialport QtSerialPort)
$(pyqt_use_enable spatialaudio QtSpatialAudio)
diff --git a/dev-python/pytest-httpserver/Manifest b/dev-python/pytest-httpserver/Manifest
index 2550574650b2..8f17ce3c15de 100644
--- a/dev-python/pytest-httpserver/Manifest
+++ b/dev-python/pytest-httpserver/Manifest
@@ -1 +1,2 @@
DIST pytest_httpserver-1.1.2.tar.gz 68602 BLAKE2B e828c4beb2d3b100d2d5e30ad9947a1376be6372d4b9663e9d7d0885aab133baea66d2be9d4549a0c738973e9e809674ebfa6544e059da8772a69428f07cac88 SHA512 18c02bec035c6ac01830c0450b0729f1cc6fe27741cb56c792094887183dc088328465bce8bf118661803b1f27154cc85d847abbecac67e41f8d11e44caf4a5b
+DIST pytest_httpserver-1.1.3.tar.gz 68870 BLAKE2B 44d4983f6845c76d4b5355e7dd070a542c040ef41501c96fd4812e180a807947d66cb43e4f38f4f7243d04c9080c03ec1ba3fc17e8d9af97b37cc622761f026f SHA512 502b7f0e3904746277ddd6007fea4f3920d402534855917a5d471ed7ce55c4aacdbb3c24d2cec349c29a128fc28e35f540373165c9de79c3ccb2ce7a9f28ba9b
diff --git a/dev-python/pytest-httpserver/pytest-httpserver-1.1.3.ebuild b/dev-python/pytest-httpserver/pytest-httpserver-1.1.3.ebuild
new file mode 100644
index 000000000000..89f444d8aa62
--- /dev/null
+++ b/dev-python/pytest-httpserver/pytest-httpserver-1.1.3.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="HTTP server for pytest to test HTTP clients"
+HOMEPAGE="
+ https://github.com/csernazs/pytest-httpserver/
+ https://pypi.org/project/pytest_httpserver/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/requests[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # tests from building release artifacts
+ tests/test_release.py
+ )
+
+ epytest -p no:localserver
+}
diff --git a/dev-python/python-axolotl/python-axolotl-0.2.3-r3.ebuild b/dev-python/python-axolotl/python-axolotl-0.2.3-r3.ebuild
deleted file mode 100644
index c815f5d4edb1..000000000000
--- a/dev-python/python-axolotl/python-axolotl-0.2.3-r3.ebuild
+++ /dev/null
@@ -1,31 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517="setuptools"
-PYTHON_COMPAT=( python3_{9,10,11,12,13} )
-
-inherit distutils-r1
-
-DESCRIPTION="A python module for the axolotl protocol"
-HOMEPAGE="
- https://github.com/tgalal/python-axolotl/
- https://pypi.org/project/python-axolotl/
-"
-SRC_URI="
- https://github.com/tgalal/python-axolotl/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="amd64 ~arm64 ~loong ~riscv x86"
-
-RDEPEND="
- dev-python/cryptography[${PYTHON_USEDEP}]
- dev-python/protobuf[${PYTHON_USEDEP}]
- dev-python/python-axolotl-curve25519[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests pytest
diff --git a/dev-python/python-axolotl/python-axolotl-0.2.3-r4.ebuild b/dev-python/python-axolotl/python-axolotl-0.2.3-r4.ebuild
index 0ce3affb16bf..7c08b499e62d 100644
--- a/dev-python/python-axolotl/python-axolotl-0.2.3-r4.ebuild
+++ b/dev-python/python-axolotl/python-axolotl-0.2.3-r4.ebuild
@@ -22,7 +22,7 @@ SRC_URI="
LICENSE="GPL-3"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~loong ~riscv x86"
+KEYWORDS="amd64 ~arm64 ~loong ~riscv x86"
PATCHES=(
# https://bugs.gentoo.org/936053
diff --git a/dev-python/python-ironicclient/Manifest b/dev-python/python-ironicclient/Manifest
index ae9f47ca95f9..b0b2e6b3e2a0 100644
--- a/dev-python/python-ironicclient/Manifest
+++ b/dev-python/python-ironicclient/Manifest
@@ -1 +1,2 @@
DIST python-ironicclient-5.10.0.tar.gz 222766 BLAKE2B d1b7d828dbab733d5f414976b72a1ce3d223f5e6889624786e17a0693b07aaea3a7b2c0d723cf978b7f0c385ba4890cb79af5924fcea1506932ab07281181eaa SHA512 937da841ce8466a104eae0468f47793e69fd708aab1dfc4d903da56e387ae01c08ddeaf6affb9993a337e66d4410df6dc9e943c04cac7cba1db712fbc438a9a8
+DIST python_ironicclient-5.10.1.tar.gz 223033 BLAKE2B 5d2f56b52d1b863e5923f8fba9b295d8bda3f60cc3017eec485e0d706d559240eed8e8a4623979ac1dedd2bcc2888aa207e51e154ce565baa050a9f801ae2ebc SHA512 fe4e608232d4c36a331087c2bdb0bb26ffc4b52d2dae2f861cd56be686e68197e1a0e9fec0aa791c9aaae52001a07c391dcacf6cfc3a9f31d5846c82f7d9d034
diff --git a/dev-python/python-ironicclient/python-ironicclient-5.10.1.ebuild b/dev-python/python-ironicclient/python-ironicclient-5.10.1.ebuild
new file mode 100644
index 000000000000..e06777f8031d
--- /dev/null
+++ b/dev-python/python-ironicclient/python-ironicclient-5.10.1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pbr
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python bindings for the Ironic API"
+HOMEPAGE="
+ https://opendev.org/openstack/python-ironicclient/
+ https://github.com/openstack/python-ironicclient/
+ https://pypi.org/project/python-ironicclient/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/pbr-6.0.0[${PYTHON_USEDEP}]
+ >=dev-python/cliff-2.8.0[${PYTHON_USEDEP}]
+ >=dev-python/dogpile-cache-0.8.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/keystoneauth1-3.11.0[${PYTHON_USEDEP}]
+ >=dev-python/openstacksdk-0.18.0[${PYTHON_USEDEP}]
+ >=dev-python/osc-lib-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-3[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-3.13.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.14.2[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-mock-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/tempest-17.1.0[${PYTHON_USEDEP}]
+ >=dev-python/ddt-1.0.1[${PYTHON_USEDEP}]
+ >=dev-python/python-openstackclient-3.12.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/python-markdown-math/Manifest b/dev-python/python-markdown-math/Manifest
index 37e0e2467a49..3bd0e0b83b44 100644
--- a/dev-python/python-markdown-math/Manifest
+++ b/dev-python/python-markdown-math/Manifest
@@ -1 +1,2 @@
DIST python-markdown-math-0.8.tar.gz 8509 BLAKE2B f91d0dbd6073d724f90a1265a64f2375be51ce25f6bdf808e1176a582c0e98aa59a52d45d67c5e37f674db5b5b7dead572a93950b9143f0950a0ee20b241e4a2 SHA512 d35e0cba68fb4ec099368d0d4865a5ad1baab6fbd23f7457312ab6893c3864287c41c32f560bbd8cddb0afff6522640f9b9144a02774539eba4e1302fac05bcb
+DIST python_markdown_math-0.9.tar.gz 8680 BLAKE2B e8dcc61f9632816597eff82c55aad037ce2f50f1747bfd2cca10d635399454b74ef40a5d11d02b268d83278558d26c9e4e196c5a1ff518104f29e7d35c95f19f SHA512 b3d4237ca143343bdb23989005707b9553cf9453c487f51489b080982bc57ca82e10f9ca7f24e5d2af6a6e0e6011464f67f2acd5e9ceeb088b414da14073780c
diff --git a/dev-python/python-markdown-math/python-markdown-math-0.9.ebuild b/dev-python/python-markdown-math/python-markdown-math-0.9.ebuild
new file mode 100644
index 000000000000..8983d93d2e0a
--- /dev/null
+++ b/dev-python/python-markdown-math/python-markdown-math-0.9.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Math extension for Python-Markdown"
+HOMEPAGE="
+ https://github.com/mitya57/python-markdown-math/
+ https://pypi.org/project/python-markdown-math/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/markdown-3.3.7[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/setuptools-77[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/python-openstackclient/Manifest b/dev-python/python-openstackclient/Manifest
index ea18d375921e..8d94a153255b 100644
--- a/dev-python/python-openstackclient/Manifest
+++ b/dev-python/python-openstackclient/Manifest
@@ -1 +1,2 @@
DIST python_openstackclient-7.4.0.tar.gz 952845 BLAKE2B e8d736bcb520386913e9ce342bb2d27c34d379e3c182ea794bb44d4589971cbe1970c3ea0768508e8a338039a534558eac25cec458b8016004f61d4af6e2ddf6 SHA512 50382e4bc763448e1cfabd691cd758b85b1d35ea1cf21850a8476e2b44d7b4838130d2d083c0e2ff0594665e20825ac08408d97ffbaeac27bb968bd11384dba9
+DIST python_openstackclient-8.0.0.tar.gz 914450 BLAKE2B 40630fd35cee86084229a23b44810cacaa310668227ae701da147a3291ff90fc588bba2e6cbf601d3e42b4bc75ac02de128df48f46684c7b9ee9f0ee5ba6b2e5 SHA512 b9bcd9d2503e81dd52736ad225c0a5d9cc4c2193f490f91bc74e81185e0cf81431e129f16e8ce042054d9e26fb139fe536c7b56cd0242eea314db456eb28a2f9
diff --git a/dev-python/python-openstackclient/python-openstackclient-8.0.0.ebuild b/dev-python/python-openstackclient/python-openstackclient-8.0.0.ebuild
new file mode 100644
index 000000000000..b99dfb50ac0f
--- /dev/null
+++ b/dev-python/python-openstackclient/python-openstackclient-8.0.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A client for the OpenStack APIs"
+HOMEPAGE="
+ https://opendev.org/openstack/python-openstackclient/
+ https://github.com/openstack/python-openstackclient/
+ https://pypi.org/project/python-openstackclient/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/cliff-3.5.0[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-2.7[${PYTHON_USEDEP}]
+ >=dev-python/openstacksdk-3.3.0[${PYTHON_USEDEP}]
+ >=dev-python/osc-lib-2.3.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+ >=dev-python/python-keystoneclient-3.22.0[${PYTHON_USEDEP}]
+ >=dev-python/python-cinderclient-3.3.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.27.0[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-2.0.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-mock-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/tempest-17.1.0[${PYTHON_USEDEP}]
+ >=dev-python/wrapt-1.7.0[${PYTHON_USEDEP}]
+ >=dev-python/ddt-1.0.1[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # Depends on a specific runner
+ sed -e 's/test_command_has_logger/_&/' \
+ -i openstackclient/tests/unit/common/test_command.py || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # functional tests require cloud instance access
+ eunittest -b openstackclient/tests/unit
+}
diff --git a/dev-python/python-tests/python-tests-3.13.3-r100.ebuild b/dev-python/python-tests/python-tests-3.13.3-r100.ebuild
new file mode 100644
index 000000000000..4b4ec8eeaf49
--- /dev/null
+++ b/dev-python/python-tests/python-tests-3.13.3-r100.ebuild
@@ -0,0 +1,68 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit python-r1 verify-sig
+
+MY_PV=${PV/_}
+MY_P="Python-${MY_PV%_p*}"
+PYVER=$(ver_cut 1-2)t
+PATCHSET="python-gentoo-patches-${MY_PV}"
+
+DESCRIPTION="Test modules from dev-lang/python"
+HOMEPAGE="
+ https://www.python.org/
+ https://github.com/python/cpython/
+"
+SRC_URI="
+ https://www.python.org/ftp/python/${PV%%_*}/${MY_P}.tar.xz
+ https://dev.gentoo.org/~mgorny/dist/python/${PATCHSET}.tar.xz
+ verify-sig? (
+ https://www.python.org/ftp/python/${PV%%_*}/${MY_P}.tar.xz.asc
+ )
+"
+S="${WORKDIR}/${MY_P}/Lib"
+
+LICENSE="PSF-2"
+SLOT="${PYVER}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ ~dev-lang/python-${PV}:${PYVER}
+"
+BDEPEND="
+ ${RDEPEND}
+ verify-sig? ( >=sec-keys/openpgp-keys-python-20221025 )
+"
+
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/python.org.asc
+
+src_unpack() {
+ if use verify-sig; then
+ verify-sig_verify_detached "${DISTDIR}"/${MY_P}.tar.xz{,.asc}
+ fi
+ default
+}
+
+src_prepare() {
+ local PATCHES=(
+ "${WORKDIR}/${PATCHSET}"
+ )
+
+ cd .. || die
+ default
+}
+
+src_install() {
+ python_setup
+ # keep in sync with TESTSUBDIRS in Makefile.pre.in
+ python_moduleinto "/usr/lib/python${PYVER}"
+ python_domodule test
+ python_moduleinto "/usr/lib/python${PYVER}/idlelib"
+ python_domodule idlelib/idle_test
+}
diff --git a/dev-python/sphinx-issues/Manifest b/dev-python/sphinx-issues/Manifest
index 16389c050e29..361ef690c5a7 100644
--- a/dev-python/sphinx-issues/Manifest
+++ b/dev-python/sphinx-issues/Manifest
@@ -1 +1,2 @@
DIST sphinx_issues-5.0.0.tar.gz 14021 BLAKE2B 65d588f43d3aa0c50884bb11862deeac2b381122b4de4714f0bdfbe751749b11042cfbda7aae37412d4033acc8e1c111de7b516c8e59d62d62ea2d48961e23e6 SHA512 359080293f08e7a66f2534459cd27ba3f51de30da411bcdf0cfa744cdc7ce7c114d14333c21619ffa16e9258ddb8523187e3635e30c3ecbb07b276c890263dd7
+DIST sphinx_issues-5.0.1.tar.gz 14370 BLAKE2B 0978ca43c7d90958ad77bb29191004c7087b1f80f656d5e13ec6deb3bcc2aadadcf4dec44b30f480e21e3141bb32b61419ab40db343c35cb70d7cccccd9654b1 SHA512 2fa1dac59f368291052cc00ebf71f9e7de980c7269661552ccd198c4d94af79f924a4f1729870039917ed60fca0b1782ac8419dc1ab53a12a0967dc528ac5b0e
diff --git a/dev-python/sphinx-issues/sphinx-issues-5.0.1.ebuild b/dev-python/sphinx-issues/sphinx-issues-5.0.1.ebuild
new file mode 100644
index 000000000000..4e0c1bae43bc
--- /dev/null
+++ b/dev-python/sphinx-issues/sphinx-issues-5.0.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2019-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Sphinx extension for linking to your project's issue tracker"
+HOMEPAGE="
+ https://github.com/sloria/sphinx-issues/
+ https://pypi.org/project/sphinx-issues/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x64-solaris"
+
+RDEPEND="
+ dev-python/sphinx[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # doesn't work in our pep517 install
+ tests/test_sphinx_issues.py::test_sphinx_build_integration
+)
diff --git a/dev-python/typing-extensions/Manifest b/dev-python/typing-extensions/Manifest
index 35e083c432da..e3d3e8bfde48 100644
--- a/dev-python/typing-extensions/Manifest
+++ b/dev-python/typing-extensions/Manifest
@@ -1,2 +1,3 @@
DIST typing_extensions-4.12.2.tar.gz 85321 BLAKE2B 8f32740675f5da226c6fd5fa95e0b903794d76cc25d759bee6b136913a3eedc7a702cdc7709587cae13ba3b3d44a7bb1acbdad61333fe655382e3d01d63a3fa7 SHA512 b06f26ae55194f37ee48dcb894bf583051c9e74f639f25195990f56330eae7b585ab4b8655ca575539f48254c20f1920628db6db10512953d1f6364e3c076a27
DIST typing_extensions-4.13.1.tar.gz 106633 BLAKE2B 766e4adb9e534c0c998407f101862ad38ee4407fd844548c05f7a4a59c70e839620700daf6aa30fd7204f84117b6e88145daa2d3d7b7474abddd5eb3c4a385e5 SHA512 63775b10380a02e9bd7ec5f5fe59952731e0fefa9cd9b25073bbd2b12f71718d4c44926809f6785a04c2cdd2d9486f4c35c91345cda2cc9ada034deb006c404c
+DIST typing_extensions-4.13.2.tar.gz 106967 BLAKE2B 6a0dfd0cb94f8411342f547f2b209a3c8afd32c818ec837c9ce63191392ba5f89c31279f35d7ca8c0a2f2cda99ea23084c3fad4bc3787f20e31741665e174645 SHA512 2cd798939362ee0d7ddbffe69b1d0fdd72b9574c1bd7300caee73d36c457ea64ea635c87ecc6188db9ffaaca272b1c8dd978a42c591ae0dfdca5632317ddb18c
diff --git a/dev-python/typing-extensions/typing-extensions-4.13.2.ebuild b/dev-python/typing-extensions/typing-extensions-4.13.2.ebuild
new file mode 100644
index 000000000000..5f37a92f4605
--- /dev/null
+++ b/dev-python/typing-extensions/typing-extensions-4.13.2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Backported and Experimental Type Hints for Python 3.7+"
+HOMEPAGE="
+ https://pypi.org/project/typing-extensions/
+ https://github.com/python/typing_extensions/
+"
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+
+BDEPEND="
+ >=dev-python/flit-core-3.11[${PYTHON_USEDEP}]
+ test? (
+ dev-python/test[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+python_test() {
+ cd src || die
+ eunittest
+}
diff --git a/dev-python/urllib3/Manifest b/dev-python/urllib3/Manifest
index 5a560f0a210f..77b3867f537c 100644
--- a/dev-python/urllib3/Manifest
+++ b/dev-python/urllib3/Manifest
@@ -1,2 +1,3 @@
DIST hypercorn-d1719f8c1570cbd8e6a3719ffdb14a4d72880abb.gh.tar.gz 156216 BLAKE2B fcb5f49653401e6e4079e1c770d3cd407602d4d6764437b735bd4ec04191dec59cdc930822fa2aff726ee25cddd0f71fd457dedf31026bff1da121d93af8b768 SHA512 62d6787d88a2e716f0ac04fc49f6cdc586e473a660ee754ff66961922ae78bcc75d1f78b091e78557dd60f006e8e480114738c7b4ff71beac804e4fc9603240b
DIST urllib3-2.3.0.tar.gz 307268 BLAKE2B 516c3b8b538682bf7b37324568757cf033df0d6a785f5fe0cdb3eaa81c68532958dd0801a007508523ca9674ec2b8ea3c9130c44b6742f6e05e9dc929ba41d01 SHA512 cf33a9082c304d8782fa054412686f9fac65fa860404243b72c75374f7459bf6c7668297b37b5fadc978f9a85b3e7653ddc7b2c415903f7eee5a70fe9ae281cb
+DIST urllib3-2.4.0.tar.gz 390672 BLAKE2B 2c5aa1f5fb210d13cd26b022a4c81b9d1dbe8a8bac26dadcf2b3c1a515df5fc2376b26aedd07badbcd36241920a1de2889c4190f02ceeafdae4732aa83055321 SHA512 d5c5ffc6ace356769f0fa80279ce1f07f3fe5913942acadac93d965612a9225bc3da94f711184ecd5b76bf893a29c7c854903c2c4e4de84edc490e6d72a80693
diff --git a/dev-python/urllib3/urllib3-2.4.0.ebuild b/dev-python/urllib3/urllib3-2.4.0.ebuild
new file mode 100644
index 000000000000..d0551453b4fb
--- /dev/null
+++ b/dev-python/urllib3/urllib3-2.4.0.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_TESTED=( python3_{9,10,11,12,13} pypy3 )
+PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" )
+PYTHON_REQ_USE="ssl(+)"
+
+inherit distutils-r1 pypi
+
+# The package has a test dependency on their own hypercorn fork.
+HYPERCORN_COMMIT=d1719f8c1570cbd8e6a3719ffdb14a4d72880abb
+DESCRIPTION="HTTP library with thread-safe connection pooling, file post, and more"
+HOMEPAGE="
+ https://github.com/urllib3/urllib3/
+ https://pypi.org/project/urllib3/
+"
+SRC_URI+="
+ test? (
+ https://github.com/urllib3/hypercorn/archive/${HYPERCORN_COMMIT}.tar.gz
+ -> hypercorn-${HYPERCORN_COMMIT}.gh.tar.gz
+ )
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+IUSE="brotli http2 test zstd"
+RESTRICT="!test? ( test )"
+
+# [secure] extra is deprecated and slated for removal, we don't need it:
+# https://github.com/urllib3/urllib3/issues/2680
+RDEPEND="
+ >=dev-python/pysocks-1.5.8[${PYTHON_USEDEP}]
+ <dev-python/pysocks-2.0[${PYTHON_USEDEP}]
+ brotli? ( >=dev-python/brotlicffi-0.8.0[${PYTHON_USEDEP}] )
+ http2? (
+ <dev-python/h2-5[${PYTHON_USEDEP}]
+ >=dev-python/h2-4[${PYTHON_USEDEP}]
+ )
+ zstd? ( >=dev-python/zstandard-0.18.0[${PYTHON_USEDEP}] )
+"
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ $(python_gen_cond_dep "
+ ${RDEPEND}
+ dev-python/brotlicffi[\${PYTHON_USEDEP}]
+ dev-python/freezegun[\${PYTHON_USEDEP}]
+ dev-python/h2[\${PYTHON_USEDEP}]
+ dev-python/httpx[\${PYTHON_USEDEP}]
+ dev-python/pytest[\${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[\${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[\${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[\${PYTHON_USEDEP}]
+ dev-python/quart[\${PYTHON_USEDEP}]
+ dev-python/quart-trio[\${PYTHON_USEDEP}]
+ dev-python/trio[\${PYTHON_USEDEP}]
+ >=dev-python/tornado-4.2.1[\${PYTHON_USEDEP}]
+ >=dev-python/trustme-0.5.3[\${PYTHON_USEDEP}]
+ >=dev-python/zstandard-0.18.0[\${PYTHON_USEDEP}]
+ " "${PYTHON_TESTED[@]}")
+ )
+"
+
+src_prepare() {
+ # upstream considers 0.5 s to be "long" for a timeout
+ # we get tons of test failures on *fast* systems because of that
+ sed -i -e '/LONG_TIMEOUT/s:0.5:5:' test/__init__.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x PYTHONPATH=${WORKDIR}/hypercorn-${HYPERCORN_COMMIT}/src
+ local -x CI=1
+ if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
+ einfo "Skipping tests on ${EPYTHON}"
+ return
+ fi
+
+ local EPYTEST_DESELECT=(
+ # TODO: timeouts
+ test/contrib/test_pyopenssl.py::TestSocketClosing::test_timeout_errors_cause_retries
+ test/with_dummyserver/test_socketlevel.py::TestSocketClosing::test_timeout_errors_cause_retries
+ # TODO
+ test/contrib/test_pyopenssl.py::TestSocketClosing::test_socket_shutdown_stops_recv
+ test/with_dummyserver/test_socketlevel.py::TestSocketClosing::test_socket_shutdown_stops_recv
+ # hangs randomly
+ test/contrib/test_pyopenssl.py::TestHTTPS_TLSv1_{2,3}::test_http2_probe_blocked_per_thread
+ test/with_dummyserver/test_https.py::TestHTTPS_TLSv1_{2,3}::test_http2_probe_blocked_per_thread
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local EPYTEST_XDIST=1
+ epytest -p timeout -p rerunfailures --reruns=10 --reruns-delay=2
+}
diff --git a/dev-python/widgetsnbextension/Manifest b/dev-python/widgetsnbextension/Manifest
index ffdc88fa9aa9..9c287c8fda2d 100644
--- a/dev-python/widgetsnbextension/Manifest
+++ b/dev-python/widgetsnbextension/Manifest
@@ -1 +1,2 @@
DIST widgetsnbextension-4.0.13.tar.gz 1164730 BLAKE2B c38793d92f9d6877b73b73054974ef4613a3b39e4228b00eae40542178fc4822f5b4e318907d539e9193f9e8428231cdb887513006ff82c3402aba82971909bf SHA512 1e3bc74456da9169a3600b3c1f3f5601afd849e1c989b3c5a57780ff3d4303d6681813646f9343e7261a465292d926bc176e52ac477c0c1bf464263022bfc64b
+DIST widgetsnbextension-4.0.14.tar.gz 1097428 BLAKE2B c9016a57560bd9e1c0fb7f7513b17f3a2b9831381d2f96c38c7abd6b19c8435b30afd8028ac5d70d9540d1bf1b6b783254cbf86e3c4450f7a754c09e20ca0c6e SHA512 508dca1a24a886609df795c71411bd137726ff348b9d4c021f8e0d83f97bbcf8eb2e8e2359c590c05bdffe65ca84f4fb2f4bcf7dbe5eca74a374c4679ebe6997
diff --git a/dev-python/widgetsnbextension/widgetsnbextension-4.0.14.ebuild b/dev-python/widgetsnbextension/widgetsnbextension-4.0.14.ebuild
new file mode 100644
index 000000000000..7eb482ee57d9
--- /dev/null
+++ b/dev-python/widgetsnbextension/widgetsnbextension-4.0.14.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="IPython HTML widgets for Jupyter"
+HOMEPAGE="
+ https://ipython.org/
+ https://pypi.org/project/widgetsnbextension/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+BDEPEND="
+ dev-python/jupyter-packaging[${PYTHON_USEDEP}]
+"
+
+src_install() {
+ distutils-r1_src_install
+
+ mv "${ED}/usr/etc" "${ED}/etc" || die
+}